Could not find artifact com.sun:tools:jar:1.8 at specified path

一枝梅 20天前 ⋅ 26 阅读

今天在新的linxu机器上安装好了java和maven,编译打包springboot程序的时候报了这个错,网上有很多文章说是java的安装问题

我这里用的是jdk1.8.0_301版本,换回了老版本jdk1.8.0_271还是一样的错误;用的maven版本是 apache-maven-3.8.2,换回了老版本apache-maven-3.6.3试了试,竟然好了

结论:maven过高的版本号会影响正常程序的编译打包,这个要注意


#java #maven
我有话说:

全部评论: 0

    文章目录